WOCAT Website - User Story #1750

Upload von Dokumenten auf Projektseitelanderseite
05 Dec 2017 15:09 - Kurt Gerber

Status: Closed Start date: 05 Dec 2017
Priority: High Due date:

Assignee: Sebastian Manger % Done: 0%
Category: Estimated time: 90.00 hours
Target version: GIZ Proposal 2017 Spent time: 89.25 hours
Description

Nina schreibt:

Der Upload Button funktioniert nicht (die Lander sollte hier ihre Dokumente hochladen kénnen) und heisst anstatt «Upload»
«Download». Diesen Button habe ich nun wieder entfernt. Zudem musste es hier méglich sein, dass bloss die jeweiligen Lander
das Recht erhalten, hier Dokumente hochzuladen (d.h. auf der argentinischen Seite vom DS SLM sollten bloss die Argentinier
Dokumente im Framework hochladen kénnen.

Ist das moglich?

History

#1 - 05 Dec 2017 15:11 - Kurt Gerber

- Assignee changed from Kurt Gerber to Lukas Vonlanthen

an Lukas und Sebastian: Bitte mal nachsehen und Zeit schatzen. NUR ZEIT SCHATZEN vorerst!

#2 - 05 Dec 2017 15:13 - Kurt Gerber
- File DS-SLM-upload.jpg added

#3 - 05 Dec 2017 15:20 - Kurt Gerber
- Priority changed from Normal to High

#4 - 07 Dec 2017 17:00 - Sebastian Manger

Diese Funktion war sicher so abgemacht mit sinnwerkstatt, ist aber nicht umgesetzt!
Wenn 'wir' nun die L&nderseiten nun eh selbst machen, wirde ich nichts &ndern. Ansonsten wird der Aufwand eher gross (3-4 Tage), da wir uns in
eine neue Ecke von wagtail-cms einlesen missen.

#5 - 08 Dec 2017 11:07 - Nina Lauterburg

Also der Upload Button sollte schon irgendwie funktionieren (falls halt dann alle Leute die Rechte hatten, den Button zu gebrauchen, wére das wohl
auch ok). Sind die 3-4 Tage fir die Umsetzung des Uploads Buttons gedacht, oder auch fir die Rechte?

#6 - 22 Jan 2018 14:46 - Kurt Gerber
- Estimated time set to 32.00 h

Stand der Dinge seit der letzten Nachfrage von Nina?

An sich ware der Button schon notwendig, das hat nichts mit dem Edititeren der Landerseite zu tun, sondern war eigentlich gedacht fur das Reporting
von DS-SLM.

Deshalb noch einmal Nachfrage bei Nicole, wie das jetzt gedacht ist beim Reporting.

#7 - 22 Jan 2018 15:11 - Kurt Gerber
Ich habe mit Nicole gesprochen. Das hat momentan keine Prioritat. Zuerst schauen Sie in DS-SLM, wie das Reporting Gberhaupt anlauft. Eventuell

wird es dann hervorgeholt. Aber nur bei Bedarf.

#8 - 22 Jan 2018 15:12 - Kurt Gerber
- Priority changed from High to Normal

#9 - 22 Feb 2018 16:56 - Kurt Gerber
- Tracker changed from Bug to User Story

- Assignee changed from Lukas Vonlanthen to Sebastian Manger
Sebastian, Kurt und Nicole haben das Feature heute besprochen. Sebastian schatzt die Zeit.

#10 - 26 Feb 2018 10:15 - Kurt Gerber

- Subject changed from Upload von Daten auf Projektseiteldnderseite von DS-SLM funktioniert nicht. to Upload von Dokumenten auf
Projektseiteldnderseite

Lésung:

* Neuer Upload Button innerhalb der DS-SLM 'Module'.

e Permission fiir page edit notwendig.

¢ Keine Permission fir Wagtail admin (Backend) notwendig.

¢ Dokumente erscheinen NICHT in Media Library.

e WOCAT Sekretariat kann aber selektiv Dokumente in Media Library sichtbar machen.

¢ Technisch:
o Ansatz: im get_context_data permissions checken (pseudo: page.permissions_for_user(context['request'].user).can_edit()):
o Wenn Permissions OK: Upload Button anzeigen:
o Formular fur Upload: name und file:
o Neue API fir document upload, mit 'defaults' fir 'media library hidden' und country aus dem context; ausserdem position im modul.:
= Vermutlich: neues Model? allenfalls mit onetoone auf die media library, falls das freigegeben werden soll.
o Anzeige 'Download' des hochgeladenen Files im richtigen Kontext:
'Basic' refactor DSFModulesBlock:
o Filtern in der Media Library:
= 'Freigabe' durch CDE
= Neue 'hidden' Funktionalitat

o]

#11 - 26 Feb 2018 10:18 - Kurt Gerber
- Estimated time changed from 32.00 h to 80.00 h

#12 - 26 Feb 2018 14:49 - Kurt Gerber
- Estimated time changed from 80.00 h to 90.00 h

#13 - 26 Feb 2018 14:49 - Kurt Gerber
- Estimated time changed from 90.00 h to 94.00 h

#14 - 26 Feb 2018 14:49 - Kurt Gerber
- Estimated time changed from 94.00 h to 90.00 h

#15 - 27 Feb 2018 09:42 - Kurt Gerber
- Priority changed from Normal to High

#16 - 05 Apr 2018 10:02 - Kurt Gerber
- Status changed from Accepted to Closed

Files

DS-SLM-upload.jpg 38.7 KB 05 Dec 2017 Kurt Gerber
